• Introduction
    • Enrichment
      POST
    • Deanonymization
      POST
    • Linkedin to Phone
      POST
    • Linkedin to HEM
      POST
    • Email to HEM
      POST
    • IP to Company
      POST
    • Organization Domain Finder
      POST
    • Keyword to Lead
      POST

      Keyword to Lead

      POST
      https://api.lead.springbolt.app/resolve/keyword_to_lead
      You can now target display audiences based on real keyword searches, not just publisher site categories. This helps recover a large portion of the audience that normally becomes unserved inventory when email hashes don’t match in ad networks.

      Request

      Body Params application/jsonRequired

      Examples

      Responses

      🟢200
      application/json
      Domain resolved successfully
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST 'https://api.lead.springbolt.app/resolve/keyword_to_lead' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "keywords": [
              "b2b intent"
          ],
          "cities": [
              "Austin"
          ],
          "states": [
              "TX"
          ],
          "date_start": "2026-03-19",
          "date_end": "2026-03-21",
          "limit": 100,
          "deanonymize": false,
          "callback_url": "https://www.example.com/resolution"
      }'
      Response Response Example
      {
          "success": true,
          "message": "The resolution has started. We will send the result to the callback URL you provided on completion.",
          "resolution": {
              "id": "res_ef59Zb325Z47c8Za589Z4343a61f9fd8",
              "status": "processing",
              "requested_at": "2026-03-24T21:31:48.013Z",
              "callback_url": "https://www.example.com/resolution"
          }
          "payload": {
              "keywords": [
                  "b2b intent"
              ],
              "cities": [
                  "Austin"
              ],
              "states": [
                  "TX"
              ],
              "date_start": "2026-03-19",
              "date_end": "2026-03-21",
              "limit": 100,
              "deanonymize": false,
              "callback_url": "https://www.example.com/resolution"
          }
      }
      Previous
      Organization Domain Finder
      Built with